<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Login</title>
    <link href="../static/styles.css" th:href="@{/styles.css}" rel="stylesheet"/>
</head>
<body>
<div class="container">
    <div class="screen">
        <div class="screen__content">
            <form class="login" action="#" th:action="@{/auth/login}" th:object="${login}" method="post">
                <div class="login__field">
                    <i class="login__icon fas fa-user"></i>
                    <input type="text" class="login__input" th:field="*{username}" placeholder="Username">
                    <label style="color: #ea7495" class="error" th:errors="*{username}">Username errors</label>
                </div>
                <div class="login__field">
                    <i class="login__icon fas fa-lock"></i>
                    <input type="password" class="login__input" th:field="*{password}" placeholder="Password">
                    <label style="color: #ea7495" class="error" th:errors="*{password}">Password errors</label>
                </div>
                <br>
                <br>
                <div th:if="${message}" class="error" th:text="${message}"></div>
                <a class="forgotten-password" th:href="@{/auth/forgot_password}">Forgot your password?</a>
                <br>
                <a class="forgotten-password" th:href="@{/auth/register}">Do not have an account yet?</a>
                <input class="button login__submit" type="submit" value="Login">
            </form>
        </div>
    </div>
    <div class="screen__background">
        <span class="screen___background___shape smart-garage"></span>
    </div>
</div>
</body>
</html>
